DBM_PN = {
	["en"] = {
		[231] = {
			[1] = "v2.31",
			[2] = "fixed some patch 2.0.3 issues",
			[3] = "optimized memory usage in the event handler functions",
			[4] = "the \"Battleground starts in...\" timers will no longer show up if the BG mod is disabled",
			[5] = "the /dm slash command was removed",
			[6] = "updated some localizations",
			[7] = "the BG mod got its own tab",
			[8] = "you can now remove tabs be unchecking the addon in the \"Load Mods\" dropdown menu",
			[9] = " ",
			[10] = " ",
		},
		[230] = {
			[1] = "v2.30",
			[2] = "please delete all LVBM folders before installing this version",
			[3] = "LVBM was renamed to Deadly Boss Mods",
			[4] = "the minimap button got a new texture (thx 2 Shayariel)",
			[5] = " ",
			[6] = "fixed some 2.0.3 issues",
			[7] = "fixed SendHiddenWhisper(), whispers containing a \"%\" will now be hidden",
			[8] = "fixed version query in battlegrounds",
			[9] = "fixed a bug that killed the Twin Emp teleport timer a few seconds after it started (announce worked)",
			[10] = "only one tank needs to update to the version to fix the Twin Emp teleport timer",
			[11] = " ",
			[12] = "the GUI is ready for Burning Crusade!",
			[13] = "removed the Kazzak boss mod",
			[14] = "rewrote the Battleground mod",
			[15] = "the Battleground mods are now three separate \"boss\" mods",
			[16] = "added icons for the battleground mod",
			[17] = "added a new estimated points frame for Arathi Basin",
			[18] = "the AV auto turn-in function will now select \"upgrade troops\" automatically",
			[19] = "the Battleground and Outdoor boss mods are now load on demand",
			[20] = "added a new bar texture: glaze",
			[21] = "added Gluth enrage timer",
			[22] = "added some Kel'thuzad cooldowns (cooldowns! they are _not_ exact)",
		},
	},
}

StaticPopupDialogs["COPY_DBM_URL"] = {
	text = DBM_COPY_PASTE_NOW,
	button1 = DBM_CLOSE,
	hasEditBox = 1,	
	button2 = "",
	
	OnShow = function()
		getglobal(this:GetName().."EditBox"):SetText("http://wow.curse-gaming.com/en/files/details/4940/la-vendetta-boss-mods/");
		getglobal(this:GetName().."EditBox"):SetFocus();
		getglobal(this:GetName().."EditBox"):HighlightText();
		getglobal(this:GetName().."Button2"):Hide();
		getglobal(this:GetName().."Button1"):ClearAllPoints();
		getglobal(this:GetName().."Button1"):SetPoint("TOP", getglobal(this:GetName().."EditBox"), "BOTTOM", 0, -8);		
	end,
	OnHide = function()
		if ( ChatFrameEditBox:IsVisible() ) then
			ChatFrameEditBox:SetFocus();
		end
		getglobal(this:GetName().."EditBox"):SetText("");
		getglobal(this:GetName().."Button2"):Show();
	end,
	EditBoxOnEnterPressed = function()
		this:GetParent():Hide();
	end,
	EditBoxOnEscapePressed = function()
		this:GetParent():Hide();
	end,
	timeout = 0,
	exclusive = 1,
	whileDead = 1,
	hideOnEscape = 1
};

StaticPopupDialogs["OLD_VERSION_DETECTED"] = {
	text = DBM_ERROR_LVBM_STILL_LOADED,
	button1 = DBM_DISABLE_AND_RELOAD,
	
	OnAccept = function()
		DisableAddOn("LVBM_API");
		ReloadUI();
	end,
	
	timeout = 0,
	exclusive = 1,
	whileDead = 1,
};